import QtQuick 2.0
import Sailfish.Silica 1.0

Page {
    id: page
    SilicaFlickable {
        id: flickable
        anchors.fill: page
        contentHeight: column.height
        Column {
            id: column
            width: parent.width - Theme.paddingLarge*2
            spacing: 20
            anchors {
                left: parent.left
                leftMargin: Theme.paddingLarge
            }
            PageHeader { title: qsTr("TetraFish") }
            Label {
                width: parent.width
                text: qsTr("A remake of SailTris which is a remake of Tetris\n")
                color: Theme.primaryColor
                font.pixelSize: Theme.fontSizeMedium
                horizontalAlignment: Text.AlignJustify
                wrapMode: Text.WordWrap
            }

            Label {
                width: parent.width
                text: qsTr("TetraFish is a remake of the game SailTris by Billy Halley, available on OpenRepos. I wanted to contribute to SailTris with some changes and fixes but Billy Halley had stopped he's development on Sailfish and SailTris and so was TetraFish with the kind approval of Billy Halley born. \n\nTetra fish is a common fish in a lot of aquariums and the original game Tetris got it's name from the greek numerical prefix tetra (4) symbolising the 4 segments making up every block in a Tetris game.")
                color: Theme.primaryColor
                font.pixelSize: Theme.fontSizeMedium
                horizontalAlignment: Text.AlignJustify
                wrapMode: Text.WordWrap
            }
            Label {
                width: parent.width
                text: qsTr("Controls")
                color: Theme.highlightColor
                anchors.right: parent.right
                anchors.rightMargin: Theme.paddingLarge

                font.pixelSize: Theme.fontSizeLarge
                horizontalAlignment: Text.AlignRight
                wrapMode: Text.WordWrap
            }
            Label {
                width: parent.width
                text: qsTr("TetraFish i controlled by multitouch\n\nUse one finger to swipe left, right and down (tap with second finger to rotate while moving)\n\nUse two fingers to swipe down without the ability to swipe left or right (handy to avoid mistakes :-)...)\n\nSwipe down with three fingers to make an instant down\n\nSwipe up with two fingers to pause the game")
                color: Theme.primaryColor
                font.pixelSize: Theme.fontSizeMedium
                horizontalAlignment: Text.AlignLeft
                wrapMode: Text.WordWrap
            }
            Label {
                width: parent.width
                text: qsTr("Scoring")
                color: Theme.highlightColor
                anchors.right: parent.right
                anchors.rightMargin: Theme.paddingLarge

                font.pixelSize: Theme.fontSizeLarge
                horizontalAlignment: Text.AlignRight
                wrapMode: Text.WordWrap
            }
            Label {
                width: parent.width
                text: qsTr("Block soft down = 1 x level\nBlock hard down = 2 x level\nBlock instant down = 3 x level\nSingle line clear = 100 x level\ntwo line clear = 300 x level\nthree line clear = 500 x level\nfour line clear (Tetris) = 800 x level\nBack to back Tetris (2 four line clear in a row) = 1200 x level\ncombo bonus = 50 x combo x level\n")
                color: Theme.primaryColor
                font.pixelSize: Theme.fontSizeMedium
                horizontalAlignment: Text.AlignLeft
                wrapMode: Text.WordWrap
            }
            Label {
                width: parent.width
                text: qsTr("Credits")
                color: Theme.highlightColor
                anchors.right: parent.right
                anchors.rightMargin: Theme.paddingLarge

                font.pixelSize: Theme.fontSizeLarge
                horizontalAlignment: Text.AlignRight
                wrapMode: Text.WordWrap
            }
            Label {
                width: parent.width
                text: qsTr("Music by kraku\n\nSounds from different sources (should be public domain according to the same sources!)\n\nSailTris by Billy Halley\n\nTetris by Alexey Pajitnov\n\nHighscoreModel by Nokia\n\nPut together and modified with added functions by me (nesnomis)\n\nAll copyrights belong to their respective owners\n\n")
                color: Theme.primaryColor
                font.pixelSize: Theme.fontSizeMedium
                horizontalAlignment: Text.AlignLeft
                wrapMode: Text.WordWrap
            }
        }

        VerticalScrollDecorator { flickable: flickable }
    }
}
